Vset class

A dynamic set object. More...

## Files

file | vset.h
| Class Vset: a dynamic set object.

## Classes

struct | sVset
| Contains public data members for Vset class. More...

## Typedefs

typedef struct sVset | Vset
| Declaration of the Vset class as the Vset structure.

## Functions

int | Vset_num (Vset *thee)
| Return the number of things currently in the list.
char * | Vset_access (Vset *thee, int i)
| Access an object in an arbitrary place in the list.
char * | Vset_create (Vset *thee)
| Create an object on the end of the list.
char * | Vset_first (Vset *thee)
| Return the first object in the set.
char * | Vset_last (Vset *thee)
| Return the last object in the set.
char * | Vset_next (Vset *thee)
| Return the next object in the set.
char * | Vset_prev (Vset *thee)
| Return the prev object in the set.
char * | Vset_peekFirst (Vset *thee)
| Return the first object in the set.
char * | Vset_peekLast (Vset *thee)
| Return the last object in the set.
void | Vset_destroy (Vset *thee)
| Delete an object from the end of the list.
Vset * | Vset_ctor (Vmem *vmem, const char *tname, int tsize, int tmaxNum, int ioKey)
| Construct the set object.
void | Vset_dtor (Vset **thee)
| Destroy the set object.
char * | Vset_createLast (Vset *thee)
| Create an object on the end of the list.
void | Vset_destroyLast (Vset *thee)
| Free up the object currently on the end of the list.
void | Vset_initData (Vset *thee)
| Initialize the Vset data (thee).
void | Vset_reset (Vset *thee)
| Release all Ram controlled by this (thee) and re-initialize.
void | Vset_check (Vset *thee, int *tnum, int *tsize, int *tVecUse, int *tVecMal, int *tVecOhd)
| Get and return the RAM Control Block (thee) information.
void | Vset_memChk (Vset *thee)
| Print the exact current malloc usage.

## Detailed Description

A dynamic set object.

## Typedef Documentation

## Vset

typedef struct sVset Vset

Declaration of the Vset class as the Vset structure.

Author
  Michael Holst

## Function Documentation

## Vset_access()

char * Vset_access | ( | Vset * | thee,
|  | int | i
| ) |  |

Access an object in an arbitrary place in the list.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  list of pointers to blocks of storage we manage

Parameters

  thee | Pointer to the Vset object
  i | index of the object

## Vset_check()

void Vset_check | ( | Vset * | thee,
|  | int * | tnum,
|  | int * | tsize,
|  | int * | tVecUse,
|  | int * | tVecMal,
|  | int * | tVecOhd
| ) |  |

Get and return the RAM Control Block (thee) information.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object
  tnum | the global "T" counter – how many "T"s in list
  tsize | size of the object in bytes
  tVecUse | size of the total objects
  tVecMal | size of the total RAM Control Block
  tVecOhd | maximal size of RAM Control Block

## Vset_create()

char * Vset_create | ( | Vset * | thee | ) |

Create an object on the end of the list.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  Pointer to a created Vset object on the end of the list

Parameters

  thee | Pointer to the Vset object

## Vset_createLast()

char * Vset_createLast | ( | Vset * | thee | ) |

Create an object on the end of the list.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  Pointer to the created Vset object

Parameters

  thee | Pointer to the Vset object

## Vset_ctor()

Vset * Vset_ctor | ( | Vmem * | vmem,
|  | const char * | tname,
|  | int | tsize,
|  | int | tmaxNum,
|  | int | ioKey
| ) |  |

Construct the set object.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  Pointer to a new allocated Vset object

Parameters

  vmem | Memory management object
  tname | name of object we are managing
  tsize | size of the object in bytes
  tmaxNum | number of objects to manage (user specified)
  ioKey | index for i/o

## Vset_destroy()

void Vset_destroy | ( | Vset * | thee | ) |

Delete an object from the end of the list.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object

## Vset_destroyLast()

void Vset_destroyLast | ( | Vset * | thee | ) |

Free up the object currently on the end of the list.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object

## Vset_dtor()

void Vset_dtor | ( | Vset ** | thee | ) |

Destroy the set object.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object

## Vset_first()

char * Vset_first | ( | Vset * | thee | ) |

Return the first object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the first object in the set

Parameters

  thee | Pointer to the Vset object

## Vset_initData()

void Vset_initData | ( | Vset * | thee | ) |

Initialize the Vset data (thee).

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object

## Vset_last()

char * Vset_last | ( | Vset * | thee | ) |

Return the last object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the last object in the set.

Parameters

  thee | Pointer to the Vset object

## Vset_memChk()

void Vset_memChk | ( | Vset * | thee | ) |

Print the exact current malloc usage.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object

## Vset_next()

char * Vset_next | ( | Vset * | thee | ) |

Return the next object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the next object in the set.

Parameters

  thee | Pointer to the Vset object

## Vset_num()

int Vset_num | ( | Vset * | thee | ) |

Return the number of things currently in the list.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the number of things currently in the list.

Parameters

  thee | Pointer to the Vset object

## Vset_peekFirst()

char * Vset_peekFirst | ( | Vset * | thee | ) |

Return the first object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the first object in the set

Parameters

  thee | Pointer to the Vset object

## Vset_peekLast()

char * Vset_peekLast | ( | Vset * | thee | ) |

Return the last object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the last object in the set.

Parameters

  thee | Pointer to the Vset object

## Vset_prev()

char * Vset_prev | ( | Vset * | thee | ) |

Return the prev object in the set.

Author
  Michael Holst

Note
  Class Vset: Inlineable method (vset.c)

Returns
  the prev object in the set

Parameters

  thee | Pointer to the Vset object

## Vset_reset()

void Vset_reset | ( | Vset * | thee | ) |

Release all Ram controlled by this (thee) and re-initialize.

Author
  Michael Holst

Note
  Class Vset: Non-Inlineable method (vset.c)

Returns
  None

Parameters

  thee | Pointer to the Vset object